Log in with email and password (public)
Authenticates a user with email and password and returns a personal access token used as the Bearer credential on every subsequent request.
No authentication required
accept
header · string
example:
application/jsonRequest body · required
Request schema
email*string · email
password*string · password
Responses
Response schema
messagestring
dataobject
tokenstring
Personal access token to send in the Authorization header as a Bearer credential on subsequent requests.
Invalid email or password.
Response schema
messagestring
The user account is disabled.
Response schema
messagestring
Unprocessable Parameters. This error is returned when a parameter is not valid.
Response schema
messagestring
example:
The given data was invalid.errorsobject
filterarray<string>
[]string
sortarray<string>
[]string
pagearray<string>
[]string
per_pagearray<string>
[]string
post
https://cockpit.voxbi.com/api/v1/login
Base URL
Request sample
curl -X POST 'https://cockpit.voxbi.com/api/v1/login' \
-H 'Content-Type: application/json' \
--data '{"email":"user@example.com","password":"strongPassword"}'
const response = await fetch('https://cockpit.voxbi.com/api/v1/login', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
},
body: JSON.stringify({
"email": "user@example.com",
"password": "strongPassword"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post('https://cockpit.voxbi.com/api/v1/login',
json={
"email": "user@example.com",
"password": "strongPassword"
}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
'http' => [
'method' => 'POST',
'header' => "Content-Type: application/json",
'content' => '{
\"email\": \"user@example.com\",
\"password\": \"strongPassword\"
}',
],
]);
$response = file_get_contents('https://cockpit.voxbi.com/api/v1/login', false, $context);
$data = json_decode($response, true);
print_r($data);
Sample request
{ … }
"email": "user@example.com",
"password": "strongPassword"
}
{ … }
"message": "User Logged In Successfully",
"data": { … }
"token": "2|BeLWgqvfWsJTftMZ8mp2LGKdTUUCYb1HpFQJciEjb96187d8"
}
}
{ … }
"message": "Invalid email or password."
}
{ … }
"message": "User is not active."
}
{ … }
"errors": { … }
"filter": [ … ],
"The filter field must be an array."
],
"sort": [ … ],
"The sort field must be a string."
],
"page": [ … ],
"The page field must be an integer."
],
"per_page": [ … ]
"The per page field must be an integer."
]
}
}
Cache-Control
string
example:
private, must-revalidate
Connection
string
example:
keep-alive
Content-Type
string
example:
application/json
Vary
string
example:
Origin
X-RateLimit-Limit
integer
Max requests allowed in the current rate-limit window.
example:
60
X-RateLimit-Remaining
integer
Requests remaining in the current rate-limit window.
example:
57